@use 'sass:map';
@use '@angular/material' as mat;
@import "./variables";

:host {
    display: block;
    position: relative;
    box-shadow: 0 1px 5px 0 rgba(0,0,0,.2),
        0 2px 2px 0 rgba(0,0,0,.14),
        0 3px 1px -2px rgba(0,0,0,.12);
    z-index: 2;
}

.mat-toolbar {
    $primary: map.get($light-theme, 'primary');

    height: 48px;
    min-height: 48px;
    max-height: 48px;

    padding-left: 8px;

    font-size: 20px;
    letter-spacing: .005em;
    font-weight: 500;

    background-color: mat.get-color-from-palette($primary, 400);
}
